/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    File name   : init.c
 *    Description : Global Init File
 *
 *    History :
 *    1. Date        : Feb, 2010
 *       Author      : Peter Kampf
 *
 *    $Revision: 14946 $
 **************************************************************************/
#include "hardware.h"
#include "system.h"
#include "oled_lib.h"
#include "scheduler.h"
#include "init.h"

void Global_Init(void)
{
  g_strlengthMem0=0;
  g_strlengthMem1=0;

  bgcolor=0;
  fgcolor=15;
  txcolor=15;
  //set startup state to STARTUP:
  g_wdSYSSTAT=STARTUP;
  //define first application to start with:
  g_wdAPPSTAT=App1;      
  //trigger statemachine with startup event:
  g_wdBitEvent|=C_BIT_EV_STARTUP;
}
