/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    File name   : timer.h
 *    Description : System definition
 *
 *    History :
 *    1. Date        : Jan, 2010
 *       Author      : Kampf Peter
 *
 *    $Revision: 1
 **************************************************************************/
#ifndef __TIMER_H__
#define __TIMER_H__

#include "types.h"

  /******************************************************************************
 *
 * Function Name: timer0Init()
 *
 * Description:  
 *    This function initializes the timer
 *
 * Calling Sequence: 
 *
 * Returns:
 *    void
 *
 * NOTE: ;
 *
 *****************************************************************************/
// Declarations of functions coded in timer.c
//public:
extern void timer0Init(void);
extern void TMR_Manager(uint8 TMRname, uint8 State);
extern void timer0_init_start(void);
extern void timer0_ISRVEC_init(void);
//private:
void timer0ISR(void);
//public vars:
extern volatile uint16 g_wdT0_STMR_NoDataTimeout;

#endif // TIMER0_SUPPORT
