/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    File name   : gui.h
 *    Description : GUI Header File
 *
 *    History :
 *    1. Date        : Feb, 2010
 *       Author      : Kampf Peter
 *       Description : Create
 *
 *    $Revision: 1
 **************************************************************************/
#ifndef GUI_H
#define GUI_H

#include "types.h"

char CourseSymbols[] = {"NORD    NORDOST  OST     SUEDOSTSUED    SUEDWESTWEST    NORDWEST"};

//public:
extern void OLED_PrintApplicationDyn(void);
extern void OLED_PrintStartupScreen(void);
extern void OLED_PrintStaticMask(void);
extern void OLED_PrintNoDataScreen(void);
//private:
static void GetCourseSymbol(uint16,char*);

//public variables from module [gui]:
extern const char *ptrmyfont;
extern volatile uint16 g_HeightMax;

#endif
